<div id="profileFormModal" class="modal fade" ng-controller="profileFormController as self" ng-init="self.init('<?= $this->from ?>', <?= $this->object ? $this->object->getId() : 'null' ?>)">
    <div class="modal-dialog">
        <div class="modal-content">
            <form name="profileForm" ng-submit="self.saveprofile();">
                <div class="modal-header">
                    {{self.panelTitle}}
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="form-group required col-xs-12">
                            <label><?= $this->translate('profile_field_name') ?></label>
                            <input type="text" name="name" class="form-control" required autocomplete="off"
                                   ng-model="self.profile.name" ng-readonly="!self.profile._rights.update" />
                            <field-errors field="name" errors="self.errors.fields"></field-errors>
                        </div>

                        <div class="form-group required col-xs-12">
                            <label><?= $this->translate('profile_field_price_per_hour') ?></label>
                            <input type="number" min="0.00" step="0.01" name="price_per_hour" class="form-control" required autocomplete="off"
                                   ng-model="self.profile.price_per_hour" ng-readonly="!self.profile._rights.update" />
                            <field-errors field="price_per_hour" errors="self.errors.fields"></field-errors>
                        </div>

                        <div class="form-group required col-xs-12">
                            <label><?= $this->translate('profile_field_price_per_day') ?></label>
                            <input type="number" min="0.00" step="0.01" name="price_per_day" class="form-control" required autocomplete="off"
                                   ng-model="self.profile.price_per_day" ng-readonly="!self.profile._rights.update" />
                            <field-errors field="price_per_day" errors="self.errors.fields"></field-errors>
                        </div>

                        <div class="form-group required col-xs-12">
                            <label><?= $this->translate('profile_field_hour_per_day') ?></label>
                            <input type="number"
                                   min="0.00"
                                   step="0.01"
                                   max="24"
                                   name="hour_per_day" class="form-control" required autocomplete="off"
                                   ng-model="self.profile.hour_per_day" ng-readonly="!self.profile._rights.update" />
                            <field-errors field="hour_per_day" errors="self.errors.fields"></field-errors>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-default" type="button" data-dismiss="modal">
                        <?= $this->translate('close') ?>
                    </button>
                    <button class="btn btn-submit" ng-disabled="self.loading.save" ng-if="self.profile._rights.update">
                        <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                        <?= $this->translate('save') ?>
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
